clear all
tic
Data=readmatrix("Ameya_19122022.xlsx",'Sheet','Sheet1','Range','A2:I5002');

%%
%Data1=Data(4002:end, :);
Nan_index=find(isnan(Data(:,9)));
Data(Nan_index,:)=[];
index=find(Data>=1000);
Data(index)=Data(index)/1000;
D=Data(:,8);
w=Data(:,1);
[pks,locs] = findpeaks(D,w,'MinPeakHeight',0.01)

%con=21.6049*peaks+0.446073;


%%
A=figure
plot(Data(:,1), Data(:,8),'Color',[1 0 0],'LineWidth',1.2); %t1
hold on
findpeaks(D,w,'MinPeakHeight',0.01)
ylim([0,1.5])
%plot(locs, pks,'Vr','MarkerFaceColor','r','MarkerSize',8); %t1
%legend("0.08 days", "0.2 days", "2 days", "6 days", "10 days","Fontsize",14)
%text(locs+4,pks,'\lambda=218.5')
xlabel('\lambda [nm]')
ylabel('Abs')
%set(gcf,'DefaultLineLineWidth',4)
set(gca,'FontSize',16)
exportgraphics(A,'example of efflorescence.pdf')





